Get credit usage
curl --request POST \
--url https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/user/payment \
--header 'X-API-KEY: <api-key>'const options = {method: 'POST', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/user/payment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/user/payment"
headers = {"X-API-KEY": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/user/payment")
.header("X-API-KEY", "<api-key>")
.asString();const url = 'https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/user/payment';
const options = {method: 'POST', headers: {'X-API-KEY': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/user/payment"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/user/payment");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-KEY", "<api-key>");
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/user/payment",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"code": "<string>",
"message": "<string>",
"tips": "<string>",
"data": {
"total_credits": 123,
"used_credits": 123,
"expired_credits": 123,
"remaining_credits": 123
}
}{
"code": "<string>",
"message": "<string>",
"tips": "<string>"
}Account
Get credit usage
Get current user credit usage by X-API-KEY.
POST
/
open
/
agentic_doc_processor
/
{tenant_name}
/
v1
/
user
/
payment
Get credit usage
Authorizations
Production OpenAPI Accessor access_key. You can find it in My API in the ADP platform. If the key is disabled, expired, or does not belong to the production environment, the API returns Accessor not found.
Path Parameters
Tenant name. Default: laiye.
⌘I
